html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

h1 {
  text-align:center;
}

table, tr, th, td {
    border: 1px solid var(--bs-border-color);
    border-collapse: collapse;
    padding: 0.5rem;
    font-size: small;
}

thead {
    border: 1px solid var(--bs-border-color);
    background-color: var(--bs-tertiary-bg);
}

input[type="checkbox"]:disabled + label {
    color: var(--bs-secondary-color);
}

.rounded-table {
    border: 1px solid var(--bs-border-color);
    background-color: var(--bs-secondary-bg);
    border-collapse: collapse;
    border-radius: 10px;
    overflow: hidden;
    width: 100%;
}

th, td {
    border: none;
    padding: 8px;
    text-align: left;
}

tr {
    border: 1px solid var(--bs-border-color);
}

.sensitive {
  font-weight: bold;
}

.btn-grey {
  color: #fff;
  background-color: gray;
  border-color: gray;
}
.btn-grey:hover {
  color: #fff;
  background-color: #707070;
  border-color: #707070;
}

.btn-green {
  color: #fff;
  background-color: #1a8754;
  border-color: #1a8754;
}
.btn-green:hover {
  color: #fff;
  background-color: #72ba79;
  border-color: #72ba79;
}

.btn-orange {
  color: #fff;
  background-color: #ffd481;
  border-color: #ffd481;
}
.btn-orange:hover {
  color: #fff;
  background-color: #e0ba70;
  border-color: #e0ba70;
}

.btn-fixed {
    min-width: 34px;
    padding-inline: 0;
    display: inline-flex;
    justify-content: center;
}

.log-monitor {
  border: 1px solid #cfd4d9;
  border-radius: 10px;
  padding: 0.5rem;
  font-size: small;
  width: 100%;
  height: 250px;
  overflow-y: scroll;
  color: red;
}

.tooltip-description {
  position: relative;
  display: inline-block;
}

.tooltip-description .tooltip-description-text {
  visibility: hidden;
  width: 400px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 8px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  transform: translateX(-50%);
  margin-left: -60px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip-description:hover .tooltip-description-text {
  visibility: visible;
  opacity: 1;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown button {
    background-color: var(--bs-body-bg);
    color: var(--bs-body-color);
    border: none;
    cursor: pointer;
    padding: .5rem 1rem;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--bs-body-bg);
    border: 1px solid var(--bs-border-color);
    min-width: 160px;
    box-shadow: var(--bs-box-shadow);
    z-index: 1;
}

.dropdown-content a {
    color: var(--bs-body-color);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: var(--bs-secondary-bg);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.developer-mail-container {
  margin: 0 auto;
  padding: 30px;
}